gr::gsm::burst_fnr_filter_impl Class Reference

`#include <burst_fnr_filter_impl.h>`

Inheritance diagram for gr::gsm::burst_fnr_filter_impl:

## Public Member Functions

| burst_fnr_filter_impl (filter_mode mode, unsigned int fnr)
| ~burst_fnr_filter_impl ()
void | process_burst (pmt::pmt_t msg)
unsigned int | get_fn (void)
unsigned int | set_fn (unsigned int fn)
filter_mode | get_mode (void)
filter_mode | set_mode (filter_mode mode)
filter_policy | get_policy (void)
filter_policy | set_policy (filter_policy policy)

## Additional Inherited Members

Public Types inherited from gr::gsm::burst_fnr_filter
typedef std::shared_ptr< burst_fnr_filter > | sptr
Static Public Member Functions inherited from gr::gsm::burst_fnr_filter
static sptr | make (filter_mode mode, unsigned int fnr)
| Return a shared_ptr to a new instance of gsm::burst_fnr_filter.

## Constructor & Destructor Documentation

## burst_fnr_filter_impl()

gr::gsm::burst_fnr_filter_impl::burst_fnr_filter_impl | ( | filter_mode | mode,
|  | unsigned int | fnr )

## ~burst_fnr_filter_impl()

gr::gsm::burst_fnr_filter_impl::~burst_fnr_filter_impl | ( |  | ) |

## Member Function Documentation

## get_fn()

unsigned int gr::gsm::burst_fnr_filter_impl::get_fn | ( | void |  | ) |

virtual

Implements gr::gsm::burst_fnr_filter.

## get_mode()

filter_mode gr::gsm::burst_fnr_filter_impl::get_mode | ( | void |  | ) |

virtual

Implements gr::gsm::burst_fnr_filter.

## get_policy()

filter_policy gr::gsm::burst_fnr_filter_impl::get_policy | ( | void |  | ) |

virtual

Implements gr::gsm::burst_fnr_filter.

## process_burst()

void gr::gsm::burst_fnr_filter_impl::process_burst | ( | pmt::pmt_t | msg | ) |

## set_fn()

unsigned int gr::gsm::burst_fnr_filter_impl::set_fn | ( | unsigned int | fn | ) |

virtual

Implements gr::gsm::burst_fnr_filter.

## set_mode()

filter_mode gr::gsm::burst_fnr_filter_impl::set_mode | ( | filter_mode | mode | ) |

virtual

Implements gr::gsm::burst_fnr_filter.

## set_policy()

filter_policy gr::gsm::burst_fnr_filter_impl::set_policy | ( | filter_policy | policy | ) |

virtual

Implements gr::gsm::burst_fnr_filter.

The documentation for this class was generated from the following file:

- burst_fnr_filter_impl.h